> For the complete documentation index, see [llms.txt](https://docs.bbchain.com.br/bbchain-ebs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bbchain.com.br/bbchain-ebs/bbchain-ebs-pt/para-desenvolvedores/api-reference/network-management/network/ptah-integration-layer-api-controller.md).

# Ptah Integration Layer Api Controller

## GET /v3/networks/{id}/integration

> Get the Ptah Integration By Id

```json
{"openapi":"3.1.0","info":{"title":"EBS Network API","version":"0.1.0"},"servers":[{"url":"https://netw-p-bk-api.saas.ebs.bbchain.network","description":"Generated server url"}],"paths":{"/v3/networks/{id}/integration":{"get":{"tags":["ptah-integration-layer-api-controller"],"summary":"Get the Ptah Integration By Id","operationId":"getPtahIntegrationById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Successful Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PtahIntegrationLayerDTO"}}}}}}}},"components":{"schemas":{"PtahIntegrationLayerDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"type":{"type":"string"},"identifier":{"type":"string","description":"Name generated from the user friendly name and used to create the component deployment"},"currentStatus":{"type":"string","enum":["CREATING","RUNNING","UPDATING","STOPPING","STOPPED","RESTARTING","STARTING","DELETING","UNKNOWN","ERROR"]},"governedBy":{"$ref":"#/components/schemas/ComponentIdDTO"},"network":{"$ref":"#/components/schemas/ComponentIdDTO"},"tenant":{"$ref":"#/components/schemas/ComponentIdDTO"},"organization":{"$ref":"#/components/schemas/ComponentIdDTO"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"endpoint":{"type":"string","format":"uri"},"subscription":{"$ref":"#/components/schemas/ComponentIdDTO"}},"required":["currentStatus","governedBy","id","identifier","name","network","organization","tenant","type"]},"ComponentIdDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"type":{"type":"string"}},"required":["id","name","type"]}}}}
```

## PATCH /v3/networks/{id}/integration

> Patch the Ptah Integration By Id

```json
{"openapi":"3.1.0","info":{"title":"EBS Network API","version":"0.1.0"},"servers":[{"url":"https://netw-p-bk-api.saas.ebs.bbchain.network","description":"Generated server url"}],"paths":{"/v3/networks/{id}/integration":{"patch":{"tags":["ptah-integration-layer-api-controller"],"summary":"Patch the Ptah Integration By Id","operationId":"patchPtahIntegrationById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EbsComponentUpdateRequest"}}},"required":true},"responses":{"200":{"description":"Successful Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PtahIntegrationLayerDTO"}}}}}}}},"components":{"schemas":{"EbsComponentUpdateRequest":{"type":"object","properties":{"name":{"type":"string","description":"User Friendly Name"},"operation":{"type":"string","enum":["RENAME","START","STOP","RESTART"]}}},"PtahIntegrationLayerDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"type":{"type":"string"},"identifier":{"type":"string","description":"Name generated from the user friendly name and used to create the component deployment"},"currentStatus":{"type":"string","enum":["CREATING","RUNNING","UPDATING","STOPPING","STOPPED","RESTARTING","STARTING","DELETING","UNKNOWN","ERROR"]},"governedBy":{"$ref":"#/components/schemas/ComponentIdDTO"},"network":{"$ref":"#/components/schemas/ComponentIdDTO"},"tenant":{"$ref":"#/components/schemas/ComponentIdDTO"},"organization":{"$ref":"#/components/schemas/ComponentIdDTO"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"endpoint":{"type":"string","format":"uri"},"subscription":{"$ref":"#/components/schemas/ComponentIdDTO"}},"required":["currentStatus","governedBy","id","identifier","name","network","organization","tenant","type"]},"ComponentIdDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"type":{"type":"string"}},"required":["id","name","type"]}}}}
```
